###################################################
### chunk number 1: R-opts
###################################################
options(width=60, digits=4)


###################################################
### chunk number 2: startup
###################################################
library(diveMove)


###################################################
### chunk number 3:  eval=FALSE
###################################################
## example(diveMove)


###################################################
### chunk number 4: read-in
###################################################
sealX <- readTDR(system.file(file.path("data", "dives.csv"),
                             package="diveMove"), speed=TRUE)


###################################################
### chunk number 5: subsamp
###################################################
sealX <- readTDR(system.file(file.path("data", "dives.csv"),
                             package="diveMove"),
                 speed=TRUE, subsamp = 10)


###################################################
### chunk number 6: 
###################################################
sealX <- readTDR(system.file(file.path("data", "dives.csv"),
                             package="diveMove"), speed=TRUE)


###################################################
### chunk number 7: show-method
###################################################
sealX


###################################################
### chunk number 8: asdataframe
###################################################
sealX.df <- as.data.frame(sealX)
head(sealX.df)


###################################################
### chunk number 9: zoc eval=FALSE
###################################################
## dcalib <- calibrateDepth(sealX)


###################################################
### chunk number 10: real-zoc
###################################################
dcalib <- calibrateDepth(sealX, offset=3)


###################################################
### chunk number 11: show-tdrcalibrate
###################################################
dcalib


###################################################
### chunk number 12: tdr-extract
###################################################
getTDR(dcalib)


###################################################
### chunk number 13: grossact1 eval=FALSE
###################################################
## getGAct(dcalib)


###################################################
### chunk number 14: grossact2 eval=FALSE
###################################################
## getGAct(dcalib, "phase.id")


###################################################
### chunk number 15: diveact-1 eval=FALSE
###################################################
## getDAct(dcalib)


###################################################
### chunk number 16: dphaselab1 eval=FALSE
###################################################
## getDPhaseLab(dcalib)
## getDPhaseLab(dcalib, 20)


###################################################
### chunk number 17: dphaselab2
###################################################
dphases <- getDPhaseLab(dcalib, c(100:300))


###################################################
### chunk number 18: extractdive
###################################################
subSealX <- extractDive(dcalib, diveNo=c(100:300))
subSealX


###################################################
### chunk number 19: plot-phases eval=FALSE
###################################################
## plotTDR(subSealX, phaseCol=dphases)


###################################################
### chunk number 20: vcalibration
###################################################
vcalib <- calibrateSpeed(dcalib, z=1)


###################################################
### chunk number 21: 
###################################################
vcalib


###################################################
### chunk number 22: dive-stats
###################################################
dives <- diveStats(vcalib)
head(dives, 3)


